Subject: Re: Labor Law
From: "Mike" <[email-masked]>
To: "Bridges, Josh" <[email-masked]>
Date: Tue, 6 Jan 2009 15:13:55 -0500

Can you please email me the invoices and I will give these to Steve.  Then I would recommend having Jim call Steve on his cell phone.
Thank you,
Mike
  ----- Original Message ----- 
  From: Bridges, Josh 
  To: Mike 
  Sent: Tuesday, January 06, 2009 3:08 PM
  Subject: FW: Labor Law

  Mike, 

  Can you please help out with this. I would like to ramp up this month since it is a big month for you but we need to get this invoice taken care of as I'm sending over another shortly. 

  Thanks

  JB

------------------------------------------------------------------------------

  From: Jim Borum 
  Sent: Tuesday, January 06, 2009 3:03 PM
  To: Bridges, Josh
  Subject: Labor Law

  Josh,

  In reviewing the Accounts Receivable log it looks like Labor Law owes us an invoice dated 11/20 - $34,227.   It's time to bill again and this needs to be paid asap if you are going to run at a high volume in January.   

  Please contact Mike asap.

  Thanks,

  Jim Borum